Page MenuHomePhabricator

Customize the markup system
Closed, DuplicatePublic

Description

I've now tried clicking the editing toolbar and I'm confused... It seems it follows email conventions BUT making sure there is no compatibility. For instance italic and bold require 2 / and * respectively instead of one. Can the markup be customised?

Details

Reference
fl165

Event Timeline

flimport raised the priority of this task from to Lowest.Sep 12 2014, 1:28 AM
flimport set Reference to fl165.

qgil wrote on 2014-04-19 16:38:01 (UTC)

Users have a convenient toolbar, so they don't have to type manually this syntax. This is an improvement over Bugzilla.

I'm not expecting this to be changed upstream. I don't see ourselves hacking the defaults (other than Wikimedia specific cases like T100). It's not a blocker for a migration.

Proposing WONTFIX.

aklapper wrote on 2014-04-21 08:29:45 (UTC)

Custom patches welcome if somebody considers this important? :)
Current markup is documented here: https://secure.phabricator.com/book/phabricator/article/remarkup/

thiemowmde wrote on 2014-04-29 16:43:36 (UTC)

Remarkup? Really? Users are supposed to use an other markup language in addition to Wikitext, Markdown (Github) and the very limited one we have in Bugzilla? Please stick to one we already use and don't introduce an other one.

At least it's not WYSIWYG, phew.

qgil wrote on 2014-04-29 17:50:13 (UTC)

Just curious, what markup would you be interested in typing manually because the toolbar doesn't support it?

thiemowmde wrote on 2014-04-29 22:36:01 (UTC)

what markup would you be interested in typing manually because the toolbar doesn't support it?

@Qgil Are you asking me? What does this have to do with the toolbar? It's irrelevant how the markup is added. I just don't want to think about an other flavor of it. It's not that there aren't enough in our ecosystem. It's simply unnecessary to add an other one. Typically I type code and links (interesting, it seems there is some kind of Markdown compatibility, even if the toolbar adds different markup) and sometimes slight emphasis (*nope*, _nope_, /nope/, ''nope''). Especially the double bracket links are annoying ([[doesn't|work]], [[w:doesn't|work]], [http://wikipedia.org doesn't work]) as well as the emphasis (** actually does have the opposite meaning in Markdown).

jdforrester wrote on 2014-05-10 20:35:19 (UTC)

✘ Merged into T100.

importing issue status

flimport closed this task as a duplicate.Sep 12 2014, 1:28 AM
flimport added a subscriber: gpaumier.